My Critical Extensions Needed

Add-ons for Pale Moon and other UXP Applications
General discussion, compatibility, contributed extensions, themes, plugins, and more.

Moderators: Lootyhoof, FranklinDM

Lassar
Moon lover
Moon lover
Posts: 89
Joined: 2014-01-16, 03:02
Location: US
Contact:

My Critical Extensions Needed

Unread post by Lassar » 2021-04-28, 06:46

Just found out that Pale Moon Disabled my Critical extensions.

Where do I download Pale Moon 29.1.1?

Here they are:

Tab Overflow Scrollbar
User Agent Switcher
SettingSanity
InFormEnter
Autofill Forms
JS Switch
Image Zoom
Always Remember Password

User avatar
jobbautista9
Lunatic
Lunatic
Posts: 369
Joined: 2020-11-03, 06:47
Location: Philippines
Contact:

Re: My Critical Extensions Needed

Unread post by jobbautista9 » 2021-04-28, 07:05

Lassar wrote:
2021-04-28, 06:46
Where do I download Pale Moon 29.1.1?
Already answered that there.
Lassar wrote:
2021-04-28, 06:46
Tab Overflow Scrollbar
[...]
Always Remember Password
I can't seem to find them in CAA. Can you please link where these add-ons can be found?
Lassar wrote:
2021-04-28, 06:46
User Agent Switcher
Not exact replacements, but there's Sasuga, PermissionsPlus, and User Agent Status for easy user agent switching.
Lassar wrote:
2021-04-28, 06:46
SettingSanity
You might want to look at Block Content.
Lassar wrote:
2021-04-28, 06:46
InForm Enter
Autofill Forms
Not an exact replacement, but try FormDraft.
Lassar wrote:
2021-04-28, 06:46
JS Switch
There's Toggle JavaScript [Enabled/Disabled] for that.
Lassar wrote:
2021-04-28, 06:46
Image Zoom
You might want to look at BIZZARE.
Cyndaquil is the debeste starter.

Developer of Ambassador in Window Menu, BrowserTickTock, CacheSwitch, Chrome Navigator, Cite4Wiki, Clickity Touch 'n Push, ColorPili, EditDatContent, EditDatTitle, Esrever, Go Menu, User Agent Status, Website Navigation Bar, and Yet Another about:config Helper.

My PGP public key (My copy on rw.rs)

Avatar by u/sprouthesprout of r/twitchplayspokemon.

User avatar
moonbat
Knows the dark side
Knows the dark side
Posts: 3611
Joined: 2015-12-09, 15:45
Contact:

Re: My Critical Extensions Needed

Unread post by moonbat » 2021-04-28, 07:35

Lassar wrote:
2021-04-28, 06:46
User Agent Switcher
Globally changing the user agent is a horrible idea and does nothing for either privacy or compatibility.
jobbautista9 wrote:
2021-04-28, 07:05
Not exact replacements, but there's Sasuga, PermissionsPlus, and User Agent Status for easy user agent switching.
There shouldn't be exact replacements. The setting to identify as Firefox or as Pale Moon in advanced preferences is the only valid case to change the global useragent and even that causes problems.
@Lassar - use one of these extensions to change the UA for specific websites that don't work.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Image
Linux Mint 20.1 Xfce x64 on HP i5-5200 laptop, 12 GB RAM.
AutoPageColor|PermissionsPlus|PMPlayer|Pure URL|RecordRewind|TextFX

User avatar
Beachcomber
Newbie
Newbie
Posts: 4
Joined: 2018-11-14, 14:19

Re: My Critical Extensions Needed

Unread post by Beachcomber » 2021-04-28, 15:54

Not sure if I should have opened another thread but I have lost several addons and the ones I am interested in finding replacements for are 'Custom Buttons' and 'Last Pass'. Can anyone help please?

User avatar
moonbat
Knows the dark side
Knows the dark side
Posts: 3611
Joined: 2015-12-09, 15:45
Contact:

Re: My Critical Extensions Needed

Unread post by moonbat » 2021-04-28, 16:10

There's no replacing extensions linked to websites and services from anyone other than the original authors due to licensing issues, so you'll have to contact LastPass. For Custom Buttons, search the forum - someone else had posted a fix to get it to work before.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Image
Linux Mint 20.1 Xfce x64 on HP i5-5200 laptop, 12 GB RAM.
AutoPageColor|PermissionsPlus|PMPlayer|Pure URL|RecordRewind|TextFX

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 10670
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: My Critical Extensions Needed

Unread post by New Tobin Paradigm » 2021-04-28, 16:27

You know what I don't get.. If someone is gonna use that shitty custom buttons extension and write code that gets executed why not take the most minimal of effort and just make it a full extension?
He tasks me. He tasks me and I shall have him.
I'll chase him round the moons of Nibia and round the Antares maelstrom and round perdition's flames before I give him up.. Prepare to alter course.

Image
binaryoutcast.compaypal.me/mattatobinthereisonlyxul.org

Couperin
Moonbather
Moonbather
Posts: 62
Joined: 2014-10-21, 17:50
Location: New Hampshire

Re: My Critical Extensions Needed

Unread post by Couperin » 2021-04-28, 16:46

Re: LastPass

Basilisk can be configured to look & act exactly like PM, with the exception that I cannot yet find any way to get a decent dark mode or exactly dupicate some of the customization that Compact Moon and CM Options provided. Lastpass was also critical to me and their add-on version 4.1.67 works perfectly with Basilisk.

After a month I have found exactly one site that was not as compatible as PM (assuming using identical useragent overrides where necessary) and the latest Basilisk 2021.04.27 corrected the one setting that created the issue on the one site. Basilisk will also allow installation of Eversync that can simplify keeping bookmarks, history and other settings across other browsers you may need to use. I think it's the most painless way out of some of the current predicament.
Last edited by Couperin on 2021-04-28, 17:20, edited 1 time in total.

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 10670
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: My Critical Extensions Needed

Unread post by New Tobin Paradigm » 2021-04-28, 16:53

You realize at any time LastPass could change their API and make that unmaintained extension not work anymore at any time right?
He tasks me. He tasks me and I shall have him.
I'll chase him round the moons of Nibia and round the Antares maelstrom and round perdition's flames before I give him up.. Prepare to alter course.

Image
binaryoutcast.compaypal.me/mattatobinthereisonlyxul.org

Couperin
Moonbather
Moonbather
Posts: 62
Joined: 2014-10-21, 17:50
Location: New Hampshire

Re: My Critical Extensions Needed

Unread post by Couperin » 2021-04-28, 17:04

Of course I understand, I am astonished that their 3.3.4 extension is still working, it's ancient and their security has, supposedly, been seriously improved. Decent chance the 4 extension will function for a decent amount of time...I'm not holding my breath til any major password manager is induced to provide a PM or Basilisk extension.

User avatar
madwolf
New to the forum
New to the forum
Posts: 1
Joined: 2021-04-28, 16:44

Re: My Critical Extensions Needed

Unread post by madwolf » 2021-04-28, 17:15

LastPass is one of my Critical extensions I know there is a chance the API may change stopping the extension from working but I am not going to update Pale Moon

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 10670
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: My Critical Extensions Needed

Unread post by New Tobin Paradigm » 2021-04-28, 18:15

It won't ever happen.. LastPass is corporate corrupt and various open source projects are openly hostile.
He tasks me. He tasks me and I shall have him.
I'll chase him round the moons of Nibia and round the Antares maelstrom and round perdition's flames before I give him up.. Prepare to alter course.

Image
binaryoutcast.compaypal.me/mattatobinthereisonlyxul.org

kkurt
Newbie
Newbie
Posts: 5
Joined: 2016-09-16, 18:19

Re: My Critical Extensions Needed

Unread post by kkurt » 2021-04-28, 20:11

Have 3/4 of installed extension disabled after the update;
Since an cannot find any replacement for some of them, i decided two split in two the installs.
For the sites where i required those extensions i'm running a portable of previous version (with update disabled) with a copy of the profile, while i run the main install on normal browsing without those extensions.

If you decide to use the same solution remember to use the options -no-remote and -profile <path to alternate profile> .
This will allow to run the two different instances (same or different version) at the same time.

User avatar
moonbat
Knows the dark side
Knows the dark side
Posts: 3611
Joined: 2015-12-09, 15:45
Contact:

Re: My Critical Extensions Needed

Unread post by moonbat » 2021-04-29, 03:56

Lastpass have been subject to multiple security breaches and their latest app contains trackers. I wouldn't trust them with a barge pole, let alone having them be in charge of all my passwords because it's 'convenient'. Use Bitwarden - fully open source, completely free and secure, but no Pale Moon compatible extensions since it is a newer service.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Image
Linux Mint 20.1 Xfce x64 on HP i5-5200 laptop, 12 GB RAM.
AutoPageColor|PermissionsPlus|PMPlayer|Pure URL|RecordRewind|TextFX

Locked